package SQL::Translator;

use strict;
use ExtUtils::MakeMaker;

WriteMakefile(
    'NAME'         => __PACKAGE__,
    'VERSION_FROM' => 'lib/SQL/Translator.pm',
    'PREREQ_PM'    => {
        'Class::Base'             => 0,
        'File::Basename'          => 0,
        'File::Spec'              => 0,
        'IO::Dir'                 => 0,
        'IO::File'                => 0,
        'IO::Scalar'              => 0,
        'Parse::RecDescent'       => 1.94,
        'Test::More'              => 0,
        'Test::Exception'         => 0,
        'Test::Differences'       => 0,
        'Text::ParseWords'        => 0,
        'Text::RecordParser'      => 0.02,
    },
    'clean'        => {
        FILES => '$(DISTVNAME).tar$(SUFFIX)',
    },
);

package MY;
use File::Basename qw(basename);

sub libscan {
    my ($self, $file) = @_;
    my $bfile = basename($file);

    return if $bfile =~ /^\.(?:cvs)?ignore$/;
    return if $bfile =~ /\.swp$/;

    return $self->SUPER::libscan($file);
}
